• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

XF 1.1 Access denied..index.php

Claudio

Well-known member
#1
When I try to access to my forum I get the message "Access denied."..the source code of the page has only a "access denied" text and nothing else..

Which is the problem? I have no .htaccess file so I don´t know what is causing this :S
 

Claudio

Well-known member
#3
Link?

What's your set up, I believe you said somewhere else you were running nginx and have you made changes recently to your system?
The error appeared since 4 hours ago when a system admin of Hostgator switched PHP to FastCGI to get work APC...so I don´t know what he have done wrong...
The url of my forum is Purogeek . com/forum

Also my wordpress installation is not working anymore since the system admin has made changes...
the url of my wordpress installation is Purogeek .com
 

Digital Doctor

Well-known member
#9
FYI this is the error I get:

Code:
Warning: require_once(/home/purogeek/public_html/wp-config.php) [function.require-once]: failed to open stream: Permission denied in /home/purogeek/public_html/wp-load.php on line 29
 
Fatal error: require_once() [function.require]: Failed opening required '/home/purogeek/public_html/wp-config.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/purogeek/public_html/wp-load.php on line 29
 

Claudio

Well-known member
#10
FYI this is the error I get:

Code:
Warning: require_once(/home/purogeek/public_html/wp-config.php) [function.require-once]: failed to open stream: Permission denied in /home/purogeek/public_html/wp-load.php on line 29
 
Fatal error: require_once() [function.require]: Failed opening required '/home/purogeek/public_html/wp-config.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/purogeek/public_html/wp-load.php on line 29
that is the error on Wordpress (it is installed on the root of purogeek .com)

if you go to purogeek .com/forum that is the XF forum and where I´m getting the "access denied" error
 

Digital Doctor

Well-known member
#12
if you go to purogeek .com/forum that is the XF forum and where I´m getting the "access denied" error
at purogeek .com/forum
I get
Code:
Warning: require_once(/home/purogeek/public_html/wp-config.php) [function.require-once]: failed to open stream: Permission denied in /home/purogeek/public_html/wp-load.php on line 29
 
Fatal error: require_once() [function.require]: Failed opening required '/home/purogeek/public_html/wp-config.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/purogeek/public_html/wp-load.php on line 29
 

Claudio

Well-known member
#16
WHM: does it have server error logs ? are you on linux or windows server ?
/usr/local/apache/logs/error_log
Code:
[Tue Dec 20 02:06:31 2011] [notice] ModSecurity for Apache/2.6.2 (http://www.modsecurity.org/) configured.
[Tue Dec 20 02:06:31 2011] [notice] ModSecurity: APR compiled version="1.4.5"; loaded version="1.4.5"
[Tue Dec 20 02:06:31 2011] [notice] ModSecurity: PCRE compiled version="8.12"; loaded version="8.12 2011-01-15"
[Tue Dec 20 02:06:31 2011] [notice] ModSecurity: LUA compiled version="Lua 5.1"
[Tue Dec 20 02:06:31 2011] [notice] ModSecurity: LIBXML compiled version="2.7.8"
[Tue Dec 20 02:06:31 2011] [notice] Digest: generating secret for digest authentication ...
[Tue Dec 20 02:06:31 2011] [notice] Digest: done
[Tue Dec 20 02:06:32 2011] [notice] Apache/2.2.21 (Unix) mod_ssl/2.2.21 OpenSSL/0.9.8e-fips-rhel5 DAV/2 mod_auth_passthrough/2.1 mod_bwlimited/1.4 FrontPage/5.0.2.2635 mod_fcgid/2.3.6 configured -- resuming normal operations
[Tue Dec 20 02:06:45 2011] [error] [client 50.23.16.226] Request exceeded the limit of 10 internal redirects due to probable configuration error. Use 'LimitInternalRecursion' to increase the limit if necessary. Use 'LogLevel debug' to get a backtrace.
[Tue Dec 20 02:06:45 2011] [error] [client 50.23.16.226] Request exceeded the limit of 10 internal redirects due to probable configuration error. Use 'LimitInternalRecursion' to increase the limit if necessary. Use 'LogLevel debug' to get a backtrace.
[Tue Dec 20 02:06:52 2011] [error] [client 50.23.16.226] Request exceeded the limit of 10 internal redirects due to probable configuration error. Use 'LimitInternalRecursion' to increase the limit if necessary. Use 'LogLevel debug' to get a backtrace.
[Tue Dec 20 02:06:52 2011] [error] [client 50.23.16.226] Request exceeded the limit of 10 internal redirects due to probable configuration error. Use 'LimitInternalRecursion' to increase the limit if necessary. Use 'LogLevel debug' to get a backtrace.
[Tue Dec 20 02:07:04 2011] [error] [client 50.23.16.226] Request exceeded the limit of 10 internal redirects due to probable configuration error. Use 'LimitInternalRecursion' to increase the limit if necessary. Use 'LogLevel debug' to get a backtrace.
[Tue Dec 20 02:07:04 2011] [error] [client 50.23.16.226] Request exceeded the limit of 10 internal redirects due to probable configuration error. Use 'LimitInternalRecursion' to increase the limit if necessary. Use 'LogLevel debug' to get a backtrace.
WHM only runs on unix ;)
plesk runs on Windows
 

Jake Bunce

XenForo moderator
Staff member
#18
If those "internal redirect" errors belong to the page request then I agree with DD... check for redirects and rewrites in your .htaccess files.

Maybe the new PHP requires different permissions. Depending on the server configuration, files are usually 644 and directories are usually 755. Check the permissions.
 

Claudio

Well-known member
#19
do you have mod rewrites in your .htaccess ?
Can you post your .htaccess file
XF htaccess:
Code:
#    Mod_security can interfere with uploading of content such as attachments. If you
#    cannot attach files, remove the "#" from the lines below.
#<IfModule mod_security.c>
#    SecFilterEngine Off
#    SecFilterScanPOST Off
#</IfModule>
 
ErrorDocument 401 default
ErrorDocument 403 default
ErrorDocument 404 default
ErrorDocument 500 default
 
<IfModule mod_rewrite.c>
    RewriteEngine On
 
    #    If you are having problems with the rewrite rules, remove the "#" from the
    #    line that begins "RewriteBase" below. You will also have to change the path
    #    of the rewrite to reflect the path to your XenForo installation.
    #RewriteBase /xenforo
 
    #    This line may be needed to enable WebDAV editing with PHP as a CGI.
    #RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]
 
    RewriteCond %{REQUEST_FILENAME} -f [OR]
    RewriteCond %{REQUEST_FILENAME} -l [OR]
    RewriteCond %{REQUEST_FILENAME} -d
    RewriteRule ^.*$ - [NC,L]
    RewriteRule ^(data/|js/|styles/|install/|favicon\.ico) - [NC,L]
    RewriteRule ^.*$ index.php [NC,L]
</IfModule>
Wordpress .htaccess content:
Code:
<IfModule mod_rewrite.c>
RewriteEngine On
RewriteBase /
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule . /index.php [L]
</IfModule>
# BEGIN WordPress
<IfModule mod_rewrite.c>
RewriteEngine On
RewriteBase /
RewriteRule ^index\.php$ - [L]
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule . /index.php [L]
</IfModule>
 
# END WordPress
# Comprimme el contenido de WP http://ayudawordpress.com/comprime-el-contenido-desde-htaccesss/
<ifmodule mod_deflate.c="">
        SetOutputFilter DEFLATE
        AddOutputFilterByType DEFLATE text/plain text/html text/xml application/xml application/xhtml+xml application/rss+xml
        AddOutputFilterByType DEFLATE text/css text/javascript application/javascript application/x-javascript
        BrowserMatch ^Mozilla/4 gzip-only-text/html
        BrowserMatch ^Mozilla/4\.0[678] no-gzip
        BrowserMatch \bMSIE !no-gzip !gzip-only-text/html
</ifmodule>
 

Claudio

Well-known member
#20
Maybe the new PHP requires different permissions. Depending on the server configuration, files are usually 644 and directories are usually 755. Check the permissions.
Well I can´t find a guide of what chmod should wordpress files have or XF..but some files have 644 and others have 755, none strange number like 600..